package org.bench4q.share.models.master;

import java.util.List;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "testPlanModel")
public class TestPlanModel {
	private String name = "";
	private int sampleCycleInSeconds;
	private List<RunningScriptModel> runningScriptModels;
	private List<MonitorModel> monitorModels;

	@XmlElement
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@XmlElementWrapper(name = "runningScriptModelList")
	@XmlElement(name = "runningScriptModel")
	public List<RunningScriptModel> getRunningScriptModels() {
		return runningScriptModels;
	}

	public void setRunningScriptModels(
			List<RunningScriptModel> runningScriptModels) {
		this.runningScriptModels = runningScriptModels;
	}

	@XmlElementWrapper(name = "monitorModelList")
	@XmlElement(name = "monitorModel")
	public List<MonitorModel> getMonitorModels() {
		return monitorModels;
	}

	public void setMonitorModels(List<MonitorModel> monitorModles) {
		this.monitorModels = monitorModles;
	}

	@XmlElement(name = "sampleCycleInSeconds")
	public int getSampleCycleInSeconds() {
		return sampleCycleInSeconds;
	}

	public void setSampleCycleInSeconds(int sampleCycleInSeconds) {
		this.sampleCycleInSeconds = sampleCycleInSeconds;
	}

}
